Subject: bug#18997: 24.4; IDLWAVE: Emacs crashes when trying to change the window while in the IDL shell

From: Gordon Farquharson <[email-masked]>
Date: Thu, 12 Nov 2015 12:20:47 -0800

On Thu, Nov 12, 2015 at 11:33 AM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Thu, 12 Nov 2015 10:54:15 -0800
> > From: Gordon Farquharson <[email-masked]>
> > Cc: Glenn Morris <[email-masked]>, [email-masked]
> >
> > (defvar idlwave-toolbar-compile-icon
> >   (idlwave-toolbar-make-button
> >    "/* XPM */
> > static char * file[] = {
> > \"28 28 2 1\",
> > \"    c None s backgroundToolBarColor\",
> > \".   c #000000\",
>
> Two potential differences I see between these icons and what we have
> in etc/images are:
>
>   . None of the icons in etc/images has size more than 24x24, while
>     the images in idlw-toolbar.el are 28x28;
>
>   . I see no stuff like "s backgroundToolBarColor", only "s None", and
>     only in 2 icons in etc/images/
>
> Can you see whether one of these differences is the culprit?
>

Removing "s backgroundToolBarColor" and changing the XPM images to 24 by 24
pixels didn't fix the problem (updated idlw-toolbar.el file attached). I
manually edited the XPM images (thank goodness for rectangular cut in
emacs!). I think I changed everything correctly. Emacs output the same
messages as before when it aborted.

Gordon

-- 
Gordon Farquharson
GnuPG Key ID: 32D6D676